---
search:
  tags:
    - database-services
    - GET
seo:
  description: >-
    The console reads the config files after each… Reference for the GET
    /api/v1/database-services/{id}/config-files endpoint in the TimescaleDB
    Enterprise API.
sidebar:
  label: List config files
  badge: GET
title: List config files
type: openapi-operation
---
The console reads the config files after each workflow of the service and at each drift check, and keeps a version when a file changed. It keeps every version of the last 90 days, and at least the last 20 versions per server and file.

`GET /api/v1/database-services/{id}/config-files`

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
{
  "checked_at": "2019-08-24T14:15:22Z",
  "drifted": true,
  "servers": [
    {
      "files": [
        {
          "drift_checked": true,
          "drifted": true,
          "file": "string",
          "path": "string",
          "versions": [
            {
              "id": "string",
              "redacted": true,
              "sha256": "string",
              "source": "workflow",
              "taken_at": "2019-08-24T14:15:22Z",
              "workflow_id": "string"
            }
          ]
        }
      ],
      "server_id": "string",
      "server_name": "string"
    }
  ]
}
```
